### Method

# Camel MessageInfo get_message_id

since: 3.24

#### Declaration [src]

    guint64
    camel_message_info_get_message_id (
      const CamelMessageInfo* mi
    )

#### Description [src]

Encoded Message-ID of the associated message as a guint64 number, partial MD5 sum. The value can be cast to `CamelSummaryMessageID`.

Available since: 3.24

Gets property | `Camel.MessageInfo:message-id`

#### Return value

Type: `guint64`

Partial MD5 hash of the Message-ID header of the associated message.